Author Topic: Parole Media Player: Needs xsub subtitles decoder  (Read 490 times)

0 Members and 1 Guest are viewing this topic.

Offline cuscotravelservices

  • Vollwertiges Mitglied
  • ***
  • Posts: 149
    • Cusco Travel Services
  • Branch: stable
  • Desktop: XFCE 0.9.0 OpenRC
  • GPU Card: Intel 3rd Gen Core processor Graphics Controller
  • GPU driver: Display Server: X.Org 1.17.2 driver: intel
  • Kernel: 4.1.7-1-MANJARO x86_64
  • Skill: Novice
Parole Media Player: Needs xsub subtitles decoder
« on: 05. January 2017, 03:23:38 »
Hi Aaditya et al,

Downloaded manjaro-xfce-openrc-16.10.2-x86_64.iso.

I attempted to play a .avi file and a Message Box was displayed indicating that "Additional software is required."

It says "Parole needs XSUB subtitles decoder to play this file. It can be installed automatically."

However, when I click on the Install button the Message Box disappears and nothing is installed.

Google hasn't been helpful neither.

BTW, the new Forum sucks!!!!!!!

Please keep the Old one!!!!!!!

Thanks, Michael.

Offline aaditya

  • OpenRC Team
  • ****
  • Posts: 2844
    • My Website
  • Branch: Testing
  • Desktop: Xfce, Openbox
  • GPU Card: Intel HD 4000
  • Kernel: Linux 4.4 x86_64
  • Skill: Intermediate
Re: Parole Media Player: Needs xsub subtitles decoder
« Reply #1 on: 08. January 2017, 06:55:07 »
From what I searched it seems to be an issue of missing plugins / decoders, you could try installing gst-plugins-bad and gst-plugings-ugly to see if it works.

Judging by the error which seems subtitle related you could also try turning subtitles off.

If it still does not work you could try installing VLC and see if it works there.

Offline cuscotravelservices

  • Vollwertiges Mitglied
  • ***
  • Posts: 149
    • Cusco Travel Services
  • Branch: stable
  • Desktop: XFCE 0.9.0 OpenRC
  • GPU Card: Intel 3rd Gen Core processor Graphics Controller
  • GPU driver: Display Server: X.Org 1.17.2 driver: intel
  • Kernel: 4.1.7-1-MANJARO x86_64
  • Skill: Novice
Re: Parole Media Player: Needs xsub subtitles decoder
« Reply #2 on: 09. January 2017, 04:48:56 »
Hi Aaditya,

There was one GST Good package not installed. So, I installed that first but no success.

I installed the "bad" and "ugly" packages but still no success.

I installed SMPlayer but when I attempted to play ANY video I got a Log message as follows.

Quote
/usr/bin/mpv --no-config --no-quiet --terminal --no-msg-color --input-file=/dev/stdin --no-fs --hwdec=no --sub-auto=fuzzy --no-input-default-bindings --input-vo-keyboard=no --no-input-cursor --cursor-autohide=no --no-keepaspect --wid=60817457 --monitorpixelaspect=1 --osd-scale=1 --sub-ass --embeddedfonts --sub-ass-line-spacing=0 --sub-scale=1 --sub-font=Arial --sub-color=#ffffffff --sub-shadow-color=#ff000000 --sub-border-color=#ff000000 --sub-border-size=0.75 --sub-shadow-offset=2.5 --sub-codepage=utf8:ISO-8859-1 --sub-pos=100 --volume=55 --cache=auto --osd-level=0 --screenshot-template=cap_%F_%p_%02n --screenshot-format=jpg --screenshot-directory=/home/manjaro/Pictures/smplayer_screenshots --audio-pitch-correction=yes --af-add=equalizer=0:0:0:0:0:0:0:0:0:0 --volume-max=110 --term-playing-msg=MPV_VERSION=${=mpv-version:}
INFO_VIDEO_WIDTH=${=width}
INFO_VIDEO_HEIGHT=${=height}
INFO_VIDEO_ASPECT=${=video-aspect}
INFO_VIDEO_FPS=${=container-fps:${=fps}}
INFO_VIDEO_FORMAT=${=video-format}
INFO_VIDEO_CODEC=${=video-codec}
INFO_AUDIO_FORMAT=${=audio-codec-name}
INFO_AUDIO_CODEC=${=audio-codec}
INFO_AUDIO_RATE=${=audio-params/samplerate}
INFO_AUDIO_NCH=${=audio-params/channel-count}
INFO_LENGTH=${=duration:${=length}}
INFO_DEMUXER=${=current-demuxer:${=demuxer}}
INFO_SEEKABLE=${=seekable}
INFO_TITLES=${=disc-titles}
INFO_CHAPTERS=${=chapters}
INFO_TRACKS_COUNT=${=track-list/count}
METADATA_TITLE=${metadata/by-key/title:}
METADATA_ARTIST=${metadata/by-key/artist:}
METADATA_ALBUM=${metadata/by-key/album:}
METADATA_GENRE=${metadata/by-key/genre:}
METADATA_DATE=${metadata/by-key/date:}
METADATA_TRACK=${metadata/by-key/track:}
METADATA_COPYRIGHT=${metadata/by-key/copyright:}
INFO_MEDIA_TITLE=${=media-title:}
 --term-status-msg=STATUS: ${=time-pos} / ${=duration:${=length:0}} P: ${=pause} B: ${=paused-for-cache} I: ${=core-idle} /run/media/manjaro/LinuxDataExt/MyStuff/Videos/[1965] Sonrisas y lágrimas (The sound of music) (español e ingles).avi

ffmpeg library versions:
   libavutil       55.34.100
   libavcodec      57.64.101 (runtime 57.64.100)
   libavformat     57.56.100
   libswscale      4.2.100
   libavfilter     6.65.100
   libswresample   2.3.100
ffmpeg version: 3.2
mpv was compiled against a different version of FFmpeg/Libav than the shared
library it is linked against. This is most likely a broken build and could
result in misbehavior and crashes.
mpv does not support this configuration and will not run - rebuild mpv instead.
Exiting... (Fatal error)

I tried installing VLC and vlc-nightly but I got the following response when attempting to do that.

Quote
Failed to prepare transaction

   could not satisfy dependencies:
   ffmpeg: requires libx265.so=95-64

VLC is working in manjaro-xfce-16.10.3-stable-x86_64.

Thanks and hasta pronto, Michael.

Offline aaditya

  • OpenRC Team
  • ****
  • Posts: 2844
    • My Website
  • Branch: Testing
  • Desktop: Xfce, Openbox
  • GPU Card: Intel HD 4000
  • Kernel: Linux 4.4 x86_64
  • Skill: Intermediate
Re: Parole Media Player: Needs xsub subtitles decoder
« Reply #3 on: 27. January 2017, 14:17:57 »
Hi Aaditya,

There was one GST Good package not installed. So, I installed that first but no success.

I installed the "bad" and "ugly" packages but still no success.

I installed SMPlayer but when I attempted to play ANY video I got a Log message as follows.

I tried installing VLC and vlc-nightly but I got the following response when attempting to do that.

VLC is working in manjaro-xfce-16.10.3-stable-x86_64.

Thanks and hasta pronto, Michael.
The SMPlayer and VLC messages seem to suggest that something is broken, you could update your system if not done already.

Offline cuscotravelservices

  • Vollwertiges Mitglied
  • ***
  • Posts: 149
    • Cusco Travel Services
  • Branch: stable
  • Desktop: XFCE 0.9.0 OpenRC
  • GPU Card: Intel 3rd Gen Core processor Graphics Controller
  • GPU driver: Display Server: X.Org 1.17.2 driver: intel
  • Kernel: 4.1.7-1-MANJARO x86_64
  • Skill: Novice
Re: Parole Media Player: Needs xsub subtitles decoder
« Reply #4 on: 04. February 2017, 21:14:09 »
The SMPlayer and VLC messages seem to suggest that something is broken, you could update your system if not done already.

Hi Aaditya,

So, I updated using the "sudo pacman -Syyu" command.

After this SMPlayer was fine.

Parole Media Player produces the same results as before even with all the GST Good, Bad and Ugly packages/plug-ins installed.

However, Parole Media Player is lacking in features compared to SMPlayer and VLC. SMPlayer is my preferred option.

Does SMPlayer still allowe the distribution to be free of systemd?

Thanks, Michael.

Offline aaditya

  • OpenRC Team
  • ****
  • Posts: 2844
    • My Website
  • Branch: Testing
  • Desktop: Xfce, Openbox
  • GPU Card: Intel HD 4000
  • Kernel: Linux 4.4 x86_64
  • Skill: Intermediate
Re: Parole Media Player: Needs xsub subtitles decoder
« Reply #5 on: 14. February 2017, 08:14:02 »

Does SMPlayer still allowe the distribution to be free of systemd?

As far as I know: yes.